Name:           LXC-Web-Panel
Version:        GIT_%(date +%%y%%m%%d)
Release:        4%{?dist}
Summary:        Lxc control panel for local lxc instances
Packager:       Rickard Osser <ricky@osser.se>
Vendor:         https://github.com/claudyus
Group:          System Environment/Daemons
License:        MIT License
URL:            http://claudyus.github.io/LXC-Web-Panel
SOURCE0:        lxc-net
SOURCE1:        lwp.service
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: lxc lxc-devel lxc-libs lxc-extra lxc-templates python-pam python-flask fabric pytz npm
Requires:      lxc  lxc-libs lxc-extra lxc-templates python-pam python-flask 

%define PREFIX ${RPM_BUILD_ROOT}/usr
%define PYTHONPATH %{PREFIX}/lib/python2.7/site-packages
%define	DOCDIR %{_defaultdocdir}/%{name}

%description
Lxc control panel for local lxc instances

This is a fork of the original LXC-Web-Panel from https://github.com/lxc-webpanel/LXC-Web-Panel with a lot of improvements and bug fix for LXC 1.0+.

This version of lwp is featuring backup capability, RestAPI interface, LDAP support other that the necessary fixes to work with latest lxc version. This project is also available as debian package for easly installation.

#%prep
#%setup -q


%build %{name}-%{version}
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}
git clone https://github.com/claudyus/LXC-Web-Panel.git .
fab build_assets         # build assets using python-fabric

./setup.py build       # install python package


rm -rf $RPM_BUILD_ROOT
mkdir -p %{PYTHONPATH}
cp -a build/lib/lwp %{PYTHONPATH}

mkdir -p $RPM_BUILD_ROOT/etc/lwp        # create config/var dirs and popolate it
mkdir -p $RPM_BUILD_ROOT/etc/default
mkdir -p $RPM_BUILD_ROOT/var/lwp
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp lwp.example.conf $RPM_BUILD_ROOT/etc/lwp/lwp.conf
cp lwp.db $RPM_BUILD_ROOT/var/lwp/lwp.db
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT/etc/default

install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/systemd/system/

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 0755 build/scripts-2.7/lwp $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/%{DOCDIR}
install -m 0644 LICENSE $RPM_BUILD_ROOT/%{DOCDIR}
install -m 0644 MANIFEST.in $RPM_BUILD_ROOT/%{DOCDIR}
install -m 0644 README.rst $RPM_BUILD_ROOT/%{DOCDIR}
install -m 0644 CHANGELOG.rst $RPM_BUILD_ROOT/%{DOCDIR}
install -m 0644 api.rst $RPM_BUILD_ROOT/%{DOCDIR}
%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/systemctl enable lxc-net
/usr/bin/systemctl start lxc-net
/usr/bin/systemctl enable lxc
/usr/bin/systemctl start lxc

[ -e /etc/lwp/session_secret ] || /usr/sbin/lwp --generate-session-secret

/usr/bin/systemctl enable lwp
/usr/bin/systemctl start lwp

%preun
/usr/bin/systemctl stop lwp
/usr/bin/systemctl disable lwp

%files 
%defattr(-,root,root,-)
/etc/lwp/lwp.conf
/var/lwp/lwp.db
/usr/sbin/lwp
/usr/lib/python2.7/site-packages/lwp
/usr/lib/systemd/system/lwp.service
/etc/default/lxc-net
%doc /usr/share/doc/%{name}

%changelog
* Thu Sep 22 2016 Rickard Osser <ricky@osser.se> GIT_160922-2
- initial package built for Fedora 23, should work with later Fedoras and CentOS7
